GET
/pipelines/runs/{run_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/{run_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/{run_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/runs/{run_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”run_id
required
string
Query Parameters
Section titled “Query Parameters”version
string
project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Successful retrieval of run details
Media typeapplication/json
object
code
integer
data
object
run
object
id
string format: uuid
name
string
description
string
status
string
scheduled_at
string format: date-time
finished_at
string format: date-time
pipeline_spec
object
pipeline_runtime
object
workflow_manifest
string
errors
object
message
string
Example
{ "code": 200, "data": { "run": { "id": "116bf10c-6d76-461a-98d2-7feb99fe7d29", "name": "tir-run-111416275353", "description": "", "status": "Succeeded", "scheduled_at": "2024-11-14T10:58:23.000000Z", "finished_at": "2024-11-14T11:02:10.000000Z" } }, "errors": {}, "message": "Success"}